{{/*
  Common labels
*/}}
{{- define "lambdaLayer.labels" -}}
{{ include "lambdalayer-utils.labels" . }}
{{- end -}}

{{/*
  Selector labels
*/}}
{{- define "lambdaLayer.selectorLabels" -}}
{{ include "lambdalayer-utils.selectorLabels" . }}
{{- end -}}

{{/*
    Lambda image/registry function
*/}}
{{- define "lambdaLayer.registryPrefixWithImageLambdaLayer" -}}
{{- if .Values.lambdaLayerImageName }}
{{- include "lambdalayer-utils._registryPrefix" . }}/{{ .Values.lambdaLayerImageName }}:{{.Values.lambdaLayerImageVersion }}
{{- else -}}
{{ include "lambdalayer-utils.registryPrefixWithImage" . }}
{{- end -}}
{{- end -}}